Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 129 - XFree86 with some S3 Virge based video cards currupts terminal fonts
Summary: XFree86 with some S3 Virge based video cards currupts terminal fonts
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1293403
TreeView+ depends on / blocked
 
Reported: 1998-11-19 04:43 UTC by 61419531789
Modified: 2015-12-21 16:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-28 16:26:57 UTC


Attachments (Terms of Use)

Description 61419531789 1998-11-19 04:43:57 UTC
When Running Xfree86 with a S3 Virge( or S3 virge based card
such as a dimond Stealth 2000)and using either the SVGA
server or the S3 server, the terminal fonts become currupt
on exit, or when swapping between X and normal terminals
A quick fix is to change /usr/X11/bin/X to point directly to
the relevent X server instead of to Xwrappers
possible problem with Xwrappers?????
occurs both with root and other system users

Comment 1 Preston Brown 1998-11-19 17:03:59 UTC
run setfont when you exit, and it should restore your font.

Comment 2 David Lawrence 1999-06-28 16:26:59 UTC
Could not replicate this with 6.0. Should try the new XFree packages.

Comment 3 tastin 1999-07-30 17:35:59 UTC
Experienced this bug with updates to 3.3.3.1-52 using Redhat 6.0

Comment 4 tastin 1999-07-31 14:55:59 UTC
After switching back to 5.2 and its default XFree86 packages, I still
encountered this bug.  I am using an S3 Virge GX 3D chipset with 4mb
ram


Note You need to log in before you can comment on or make changes to this bug.